﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridCheckBoxHeaderTemplate.aspx.cs" Inherits="RadGridCheckBoxHeaderTemplate" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function checkBoxClick(checkBox, checkBoxID, headerCheckBoxID) {
                var grid = $find('<%= grdApps.ClientID %>');
                var masterTable = grid.get_masterTableView();

                var headerCheckBox = $telerik.findElement(grid.get_element(), headerCheckBoxID);
                headerCheckBox.checked = allChecked(masterTable.get_dataItems(), checkBoxID);
            }
            function allChecked(items, checkBoxID) {
                for (var i = 0; i < items.length; i++) {
                    var checkBox = $telerik.findElement(items[i].get_element(), checkBoxID);
                    if (!checkBox.checked) {
                        return false;
                    }
                }
                return true;
            }
            function headerCheckBoxClick(headerCheckBox, checkBoxID) {
                var grid = $find('<%= grdApps.ClientID %>');
                var masterTable = grid.get_masterTableView();
                checkAllItems(masterTable.get_dataItems(), checkBoxID, headerCheckBox.checked);
            }
            function checkAllItems(items, checkBoxID, isChecked) {
                for (var i = 0; i < items.length; i++) {
                    var checkBox = $telerik.findElement(items[i].get_element(), checkBoxID);
                    checkBox.checked = isChecked;
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="grdApps" runat="server" OnNeedDataSource="grdApps_NeedDataSource">
            <ClientSettings>
                <Scrolling AllowScroll="true" ScrollHeight="500px" UseStaticHeaders="true" />
            </ClientSettings>
            <GroupingSettings CaseSensitive="false" />
            <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="true">
                <Columns>
                    <telerik:GridTemplateColumn UniqueName="rdCheckBox" AllowFiltering="false">
                        <ItemTemplate>
                            <asp:CheckBox ID="rdCheckBox1" runat="server" onclick="checkBoxClick(this,'rdCheckBox1','rdHeaderCheck');" />
                        </ItemTemplate>
                        <HeaderTemplate>
                            <asp:CheckBox ID="rdHeaderCheck" runat="server" Text="= Read Only"
                                onclick="headerCheckBoxClick(this,'rdCheckBox1');" />
                        </HeaderTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridTemplateColumn UniqueName="rwCheckBox" AllowFiltering="false">
                        <ItemTemplate>
                            <asp:CheckBox ID="rwCheckBox1" runat="server" onclick="checkBoxClick(this,'rwCheckBox1','rwHeaderCheck');" />
                        </ItemTemplate>
                        <HeaderTemplate>
                            <asp:CheckBox ID="rwHeaderCheck" runat="server" Text="= Read/Write"
                                onclick="headerCheckBoxClick(this,'rwCheckBox1');" />
                        </HeaderTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="ShipName" UniqueName="Name" HeaderText="Name" FilterControlWidth="100%"
                        AutoPostBackOnFilter="true"
                        CurrentFilterFunction="Contains" ShowFilterIcon="false" />
                    <telerik:GridBoundColumn DataField="ShipCountry" HeaderText="Description" FilterControlWidth="100%"
                        AutoPostBackOnFilter="true"
                        CurrentFilterFunction="Contains" ShowFilterIcon="false" />
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
